# Horiba LabRAM Processing Scripts

Cale Overstreet

This package contains scripts meant for processing data files generated by the LabSpec6 software, particularly for use with the mapping feature

## Installation

Installing python package from PyPI

```
python -m pip install horiba_raman_ccoverstreet
```


Installing from downloaded repository

```
git clone https://github.com/ccoverstreet/horiba-raman
cd horiba-raman
python -m pip install -e .
```

or with a zip file

```
unzip NAMEOFZIPFILE.zip
cd horiba-raman-main
python -m pip install -e .
```

## Required Data Files

- `*.txt` version of l6m: This can be saved either by saving from the `browser` tab or the mapping tab with the spectra sub-window highlighted and selected the `.txt` extension. This file contains all the collected spectra with corresponding spatial positions
- `*.txt` version of the video feed: This can be saved by going to the `video` tab and saving the current camera view with the `.txt` extension. This file contains a gray-scale image with spatial coordinates of pixels. **SHOULD BE TAKEN BEFORE ACQUISITION START**
- `*.bmp` version of the video feed: This can be saved by going to the `video` tab and saving the current camera view with the `.txt` extension. This file contains the color image of the camera feed. **SHOULD BE TAKEN BEFORE ACQUISITION START**
- `*l6m`: Binary default format used by the LabSpec software for storing mapping information. Useful for record-keeping.


## Example

An example is provided in the [src/example](src/example) directory
